Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class MethodBreakpoint

    java.lang.Object
      org.netbeans.api.debugger.Breakpoint
          org.netbeans.api.debugger.jpda.JPDABreakpoint
              org.netbeans.api.debugger.jpda.MethodBreakpoint

    public final class MethodBreakpoint

extends JPDABreakpoint

Notifies about method entry events.
How to use it:

        DebuggerManager.addBreakpoint (MethodBreakpoint.create (
            "examples.texteditor.Ted*",
            "
        ));

This breakpoint stops when some initializer of class Ted or innercalsses is called.

Field Summary
`static String` | `PROP_BREAKPOINT_TYPE` Property name constant.
`static String` | `PROP_CLASS_EXCLUSION_FILTERS` Property name constant
`static String` | `PROP_CLASS_FILTERS` Property name constant
`static String` | `PROP_CONDITION` Property name constant.
`static String` | `PROP_METHOD_NAME` Property name constant
`static int` | `TYPE_METHOD_ENTRY` Breakpoint type property value constant.
`static int` | `TYPE_METHOD_EXIT` Breakpoint type property value constant.

Fields inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`PROP_HIDDEN, PROP_PRINT_TEXT, PROP_SUSPEND, SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Fields inherited from class org.netbeans.api.debugger.Breakpoint
`PROP_DISPOSED, PROP_ENABLED, PROP_GROUP_NAME`

Method Summary
`static MethodBreakpoint` | `create()` Creates a new method breakpoint.
`static MethodBreakpoint` | `create(String className, String methodName)` Creates a new method breakpoint for given parameters.
`int` | `getBreakpointType()` Returns type of this breakpoint.
`String[]` | `getClassExclusionFilters()` Get list of class exclusion filters to stop on.
`String[]` | `getClassFilters()` Get list of class filters to stop on.
`String` | `getCondition()` Returns condition.
`String` | `getMethodName()` Get name of method to stop on.
`void` | `setBreakpointType(int breakpointType)` Sets type of this breakpoint (TYPE_METHOD_ENTRY or TYPE_METHOD_EXIT).
`void` | `setClassExclusionFilters(String[] classExclusionFilters)` Set list of class exclusion filters to stop on.
`void` | `setClassFilters(String[] classFilters)` Set list of class filters to stop on.
`void` | `setCondition(String cond)` Sets condition.
`void` | `setMethodName(String mn)` Set name of method to stop on.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`addJPDABreakpointListener, disable, enable, getPrintText, getSuspend, isEnabled, isHidden, removeJPDABreakpointListener, setHidden, setPrintText, setSuspend`

Methods inherited from class org.netbeans.api.debugger.Breakpoint
`addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getGroupName, removePropertyChangeListener, removePropertyChangeListener, setGroupName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_METHOD_NAME

    public static final String PROP_METHOD_NAME

  Property name constant

  See Also:
    Constant Field Values

### PROP_BREAKPOINT_TYPE

    public static final String PROP_BREAKPOINT_TYPE

  Property name constant.

  See Also:
    Constant Field Values

### PROP_CONDITION

    public static final String PROP_CONDITION

  Property name constant.

  See Also:
    Constant Field Values

### PROP_CLASS_FILTERS

    public static final String PROP_CLASS_FILTERS

  Property name constant

  See Also:
    Constant Field Values

### PROP_CLASS_EXCLUSION_FILTERS

    public static final String PROP_CLASS_EXCLUSION_FILTERS

  Property name constant

  See Also:
    Constant Field Values

### TYPE_METHOD_ENTRY

    public static final int TYPE_METHOD_ENTRY

  Breakpoint type property value constant.

  See Also:
    Constant Field Values

### TYPE_METHOD_EXIT

    public static final int TYPE_METHOD_EXIT

  Breakpoint type property value constant.

  See Also:
    Constant Field Values

Method Detail

### create

    public static MethodBreakpoint create(String className,
                                          String methodName)

  Creates a new method breakpoint for given parameters.

  Parameters:
    `className` - a class name filter
    `methodName` - a name of method
  Returns:
    a new breakpoint for given parameters

### create

    public static MethodBreakpoint create()

  Creates a new method breakpoint.

  Returns:
    a new method breakpoint

### getMethodName

    public String getMethodName()

  Get name of method to stop on.

  Returns:
    name of method to stop on

### setMethodName

    public void setMethodName(String mn)

  Set name of method to stop on.

  Parameters:
    `mn` - a name of method to stop on

### getCondition

    public String getCondition()

  Returns condition.

  Returns:
    cond a condition

### setCondition

    public void setCondition(String cond)

  Sets condition.

  Parameters:
    `cond` - a c new condition

### getBreakpointType

    public int getBreakpointType()

  Returns type of this breakpoint.

  Returns:
    type of this breakpoint

### setBreakpointType

    public void setBreakpointType(int breakpointType)

  Sets type of this breakpoint (TYPE_METHOD_ENTRY or TYPE_METHOD_EXIT).

  Parameters:
    `breakpointType` - a new value of breakpoint type property

### getClassFilters

    public String[] getClassFilters()

  Get list of class filters to stop on.

  Returns:
    list of class filters to stop on

### setClassFilters

    public void setClassFilters(String[] classFilters)

  Set list of class filters to stop on.

  Parameters:
    `classFilters` - a new value of class filters property

### getClassExclusionFilters

    public String[] getClassExclusionFilters()

  Get list of class exclusion filters to stop on.

  Returns:
    list of class exclusion filters to stop on

### setClassExclusionFilters

    public void setClassExclusionFilters(String[] classExclusionFilters)

  Set list of class exclusion filters to stop on.

  Parameters:
    `classExclusionFilters` - a new value of class exclusion filters property

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.